<?php

/*
 * This file is part of TBSCertBot.
 * 
 * Copyright (c) 1996-2016 TBS Internet
 * 
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace TBSCertBot\API\Methods\DCVEmailInformation;

/**
 * Request implementation for getting the DCV Information
 *
 * @author TBS Internet <webmaster@tbs-internet.com>
 */
class Request extends \TBSCertBot\API\Methods\XmlRpcRequest
{
    const INFORMATION_APPLICATION = 'api-infos.php';
    const INFORMATION_METHOD_NAME = 'dcvAdresses';
    
    private $domainName;
    
    public function __construct($domainName)
    {
        $this->domainName = $domainName;
        
        $this->setApplicationAndMethodName();
    }
    
    /**
     * Sets the application and method name used to send API requests
     */
    private function setApplicationAndMethodName()
    {
        $this->application = self::INFORMATION_APPLICATION;
        $this->methodName = self::INFORMATION_METHOD_NAME;
    }
    
    protected function handleResponse($response)
    {
        return new Response($response);
    }

    public function getXmlRpc()
    {
        return array(
            'identification' => array(
                'utilisateur' => \TBSCertBot\Config::getConfig()->getAPIUsername(),
                'motDePasse' => \TBSCertBot\Config::getConfig()->getAPIPassword()
            ),
            'CN' => $this->domainName
        );
    }
}
