<?php

/*
 * This file is part of TBSCertBot.
 * 
 * Copyright (c) 1996-2016 TBS Internet
 * 
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace TBSCertBot\API\Methods\DCVEmailInformation;

/**
 * Response implementation for getting the DCV Information
 *
 * @author TBS Internet <webmaster@tbs-internet.com>
 */
class Response extends \TBSCertBot\API\Methods\XmlRpcResponse
{
    private $emailAddresses = array();
    
    protected $code;
    protected $message;
    
    public function __construct(\PhpXmlRpc\Response $xmlRpcResponse)
    {
        parent::__construct($xmlRpcResponse);
    }
    
    public function getEmailAddresses()
    {
        return $this->emailAddresses;
    }
    
    public function getCode()
    {
        return $this->code;
    }
    
    public function getMessage()
    {
        return $this->message;
    }
    
    protected function handleMessage()
    {   
        if (!empty($this->rawMessageResponse['codeReponse'])) {
            $this->code = $this->rawMessageResponse['codeReponse'];
        } 
        
        if (!empty($this->rawMessageResponse['messageReponse'])){
            $this->message = $this->rawMessageResponse['messageReponse'];
        }
        
        
        if (!is_null($this->rawMessageResponse['adresses'])) {
            foreach ($this->rawMessageResponse['adresses'] as $type) {
                foreach ($type as $address) {
                    array_push($this->emailAddresses, $address);
                }
            }
        } elseif (\TBSCertBot\API\Helper::isErrorCodeNegative($this->code)) {
            throw new \Exception(\TBSCertBot\API\Helper::getErrorMessage($this->code), $this->code);
        } else {
            throw new \Exception("Invalid response from server (no 'adresses' structure)");
        }
    }
}
