<?php

/*
 * This file is part of TBSCertBot.
 * 
 * Copyright (c) 1996-2016 TBS Internet
 * 
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace TBSCertBot\API\Methods\DCVEmailResend;

/**
 * Request implementation of the DCV method selection
 *
 * @author TBS Internet <webmaster@tbs-internet.com>
 */
class Request extends \TBSCertBot\API\Methods\XmlRpcRequest
{
    const DCV_EMAIL_RESEND_APPLICATION = 'api-operations.php';
    const DCV_EMAIL_RESEND_METHOD_NAME = 'dcvEmailRenvoyer';
    
    private $tbsReference;
    
    public function __construct($tbsReference)
    {
        $this->tbsReference = $tbsReference;
        
        $this->setApplicationAndMethodName();
    }
    
    /**
     * Sets the application and method name used to send API requests
     */
    private function setApplicationAndMethodName()
    {
        $this->application = self::DCV_EMAIL_RESEND_APPLICATION;
        $this->methodName = self::DCV_EMAIL_RESEND_METHOD_NAME;
    }
    
    protected function handleResponse($response)
    {
        return new Response($response);
    }

    public function getXmlRpc()
    {
        return array(
            'identification' => array(
                'utilisateur' => \TBSCertBot\Config::getConfig()->getAPIUsername(),
                'motDePasse' => \TBSCertBot\Config::getConfig()->getAPIPassword()
            ),
            'refTBS' => $this->tbsReference
        );
    }
}
