<?php

/*
 * This file is part of TBSCertBot.
 * 
 * Copyright (c) 1996-2016 TBS Internet
 * 
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace TBSCertBot\API\Methods\DCVEmailResend;

/**
 * Response implementation of the DCV method selection
 *
 * @author TBS Internet <webmaster@tbs-internet.com>
 */
class Response extends \TBSCertBot\API\Methods\XmlRpcResponse
{
    protected $code;
    protected $message;
    
    public function __construct(\PhpXmlRpc\Response $xmlRpcResponse)
    {
        parent::__construct($xmlRpcResponse);
    }
    
    public function getCode()
    {
        return $this->code;
    }
    
    public function getMessage()
    {
        return $this->message;
    }
    
    protected function handleMessage()
    {
        $keys = array_keys($this->rawMessageResponse);
        
        if (!is_null($this->rawMessageResponse[$keys[0]])) {
            $this->code = $this->rawMessageResponse[$keys[0]]['codeReponse'];
            $this->message = $this->rawMessageResponse[$keys[0]]['messageReponse'];
        } else {
            throw new \Exception("Invalid response from server.");
        }
    }
}
