<?php

/*
 * This file is part of TBSCertBot.
 * 
 * Copyright (c) 1996-2016 TBS Internet
 * 
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace TBSCertBot\API\Methods\Recover;

/**
 * Response implementation of the Recover feature
 *
 * @author TBS Internet <webmaster@tbs-internet.com>
 */
class Response extends \TBSCertBot\API\Methods\XmlRpcResponse
{
    protected $code;
    protected $message;
    
    private $tbsReference;
    
    public function __construct(\PhpXmlRpc\Response $xmlRpcResponse)
    {
        parent::__construct($xmlRpcResponse);
        
        $this->tbsReference = $this->rawMessageResponse['refTBS'];
    }
    
    public function getTBSReference()
    {
        return $this->tbsReference;
    }
    
    public function getCode()
    {
        return $this->code;
    }
    
    public function getMessage()
    {
        return $this->message;
    }
    
    protected function handleMessage()
    {
            $this->code = $this->rawMessageResponse['codeReponse'];
            // We squeeze that message as it is in French...
            $this->message = \TBSCertBot\API\Helper::getErrorMessage($this->code);
            
    }
    
}
