<?php

/*
 * This file is part of TBSCertBot.
 * 
 * Copyright (c) 1996-2016 TBS Internet
 * 
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace TBSCertBot\API\Methods\Renewal;

/**
 * Response implementation of certificate renewal
 *
 * @author TBS Internet <webmaster@tbs-internet.com>
 */
class Response extends \TBSCertBot\API\Methods\Order\Response
{
    protected function handleMessage()
    {
        if (!is_null($this->rawMessageResponse['demande'])) {
            // Only handle the first element.
            if (is_array($this->rawMessageResponse['demande']) && (count($this->rawMessageResponse['demande']) > 0)
                    && !array_key_exists('codeReponse', $this->rawMessageResponse['demande'])) {
                $this->rawMessageResponse['demande'] = $this->rawMessageResponse['demande'][0];
            }
            
            $this->code = $this->rawMessageResponse['demande']['codeReponse'];
            $this->message = $this->rawMessageResponse['demande']['messageReponse'];
        } else {
            throw new \Exception("Invalid response from server (no 'demande' structure)");
        }
    }
}
