<?php

/*
 * This file is part of TBSCertBot.
 * 
 * Copyright (c) 1996-2016 TBS Internet
 * 
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace TBSCertBot\API\Methods\Revoke;

/**
 * Request implementation of revocation.
 * Currently unused and unavailable as a feature in TBSCertBot.
 *
 * @author TBS Internet <webmaster@tbs-internet.com>
 */
class Request extends \TBSCertBot\API\Methods\XmlRpcRequest
{
    const REVOKE_APPLICATION = 'api-operations.php';
    const REVOKE_METHOD_NAME = 'revocation';
    
    private $certificate;
    private $reason;
    
    public function __construct(
            \TBSCertBot\API\Entities\Certificate $certificate,
            $reason 
            ) {
        $this->certificate = $certificate;
        
        $this->setApplicationAndMethodName();
    }
    
    /**
     * Sets the application and method name used to send API requests
     */
    private function setApplicationAndMethodName()
    {
        $this->application = self::REVOKE_APPLICATION;
        $this->methodName = self::REVOKE_METHOD_NAME;
    }
    
    protected function handleResponse($response)
    {
        return new Response($response);
    }

    public function getXmlRpc()
    {
        return array(
            'identification' => array(
                'utilisateur' => \TBSCertBot\Config::getConfig()->getAPIUsername(),
                'motDePasse' => \TBSCertBot\Config::getConfig()->getAPIPassword()
            ),
            'refTBS' => $this->tbsReference
        );
    }
}
