<?php

/*
 * This file is part of TBSCertBot.
 * 
 * Copyright (c) 1996-2016 TBS Internet
 * 
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace TBSCertBot\CLI\Commands;

/**
 * Description of Archive
 *
 * @author rmussard
 */
class Archive extends Command
{
    private $profileName;
    
    public function __construct($profileName) {
        parent::__construct();
        
        if (empty($profileName)) {
            $this->logger->log('You must profile a profile name to archive', 'error');
            throw new \Exception("You must profile a profile name to archive");
        }
        
        $this->profileName = $profileName;
        $this->logger->setFileName($profileName . '.log');
    }
    
    public function proceed() {
        try {
            \TBSCertBot\Controllers\Profile::archive($this->profileName);
        } catch (\Exception $e) {
            $this->logger->log($e->getMessage(), 'error');
            throw $e;
        }
        
        $this->logger->log(sprintf('The profile %s has been archived', $this->profileName), 'info');
    }
    
    protected function runHook($tbsReference = null)
    {
        //Do nothing
    }
}
