<?php

/*
 * This file is part of TBSCertBot.
 *
 * Copyright (c) 1996-2016 TBS Internet
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace TBSCertBot\CLI\Commands;

/**
 * Cron Mode that runs the Download and Renewal commands
 *
 * @author TBS Internet <webmaster@tbs-internet.com>
 */
class Cron extends Command
{
    public function __construct()
    {
        parent::__construct();
        
        //Cron mode must alway be using batch mode
        \TBSCertBot\Config::getConfig()->update(['batch' => true]);
    }

    public function proceed()
    {
        $this->logger->log('Starting cron', 'info');
        
        //Small sleep time
        $sleepTime = rand(0, 30);
        sleep($sleepTime);
        
        //First, we try to recover potential lost orders
        $recover = new Recover();
        $recover->proceed();

        //Then we update the certificate list
        $download = new Download();
        $download->proceed();

        //Renewals
        $renewal = new Renewal();
        $renewal->proceed();

        \cli\line("Cron finished");
        $this->logger->log('Cron finished', 'info');
    }

    protected function runHook($tbsReference = NULL) {

    }
}
