<?php

/*
 * This file is part of TBSCertBot.
 * 
 * Copyright (c) 1996-2016 TBS Internet
 * 
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace TBSCertBot\CLI\Commands\TestHooks;

/**
 * Test-runs the download hook
 *
 */
class Download extends \TBSCertBot\CLI\Commands\TestHook
{
    public function __construct($tbsreference = null)
    {
        parent::__construct('download', $tbsreference);
        
        $this->hook = \TBSCertBot\Config::getConfig()->getDownloadHook();
        
        if (empty($this->hook) || !is_file($this->hook)) {
            throw new \Exception("No hook to test provided");
        }
    }
    
    public function proceed() {
        parent::proceed();
    }
    
    protected function makeFakeProfile() {
        $this->generateKey();
        
        $this->generateCertAndChain();
        
        if (!empty($this->certificateFileName) && is_file($this->certificateFileName)) {
            $certificate = file_get_contents($this->certificateFileName);
        } else {
            $certificate = '';
        }
        
        $profile = [
            'PRIVATE_KEY' => [
                'fileName' => $this->privateKeyFileName
            ],
            'CERTIFICATE' => [
                'certificatePEM' => $certificate,
                'certificatePEMFile' => $this->certificateFileName,
                'chainPEMFile' => $this->chainFileName
            ]   
        ];
        
        return $profile;
    }
    
    /**
     * 
     * Does nothing for now. We could imagine runing a hook after we are done testing a hook but that seems a bit strange.
     * 
     * @param type $tbsReference
     */    
    protected function runHook($tbsReference = null)
    {

    }

}
