<?php

/*
 * This file is part of TBSCertBot.
 * 
 * Copyright (c) 1996-2016 TBS Internet
 * 
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace TBSCertBot\CLI\Commands\TestHooks;

/**
 * Test-runs the order hook
 *
 */
class Order extends \TBSCertBot\CLI\Commands\TestHook
{
    protected $hook;
    
    public function __construct($tbsreference = null)
    {
        parent::__construct('order', $tbsreference);
        
        $this->hook = \TBSCertBot\Config::getConfig()->getOrderHook();
        
        if (empty($this->hook) || !is_file($this->hook)) {
            throw new \Exception("No hook to test provided");
        }
    }
    
    public function proceed() {
        parent::proceed();
      
    }
    
    protected function makeFakeProfile()
    {
        $this->generateKey();
        $this->generateCsr();
        $this->generateDcv();
        
        $profile = [
            'PRIVATE_KEY' => [
                'fileName' => $this->privateKeyFileName
            ],
            'REQUEST' => [
                'domainControlValidation' => 'HTTPS_CSR_HASH'
            ],
            'CSR' => [
                'dcvFileName' => $this->dcvHttpFileName,
                'commonName' => $this->csr->getCN()
            ],
        ];
        
        return $profile;
    }
    
    /**
     * 
     * Does nothing for now. We could imagine runing a hook after we are done testing a hook but that seems a bit strange.
     * 
     * @param type $tbsReference
     */    
    protected function runHook($tbsReference = null)
    {

    }
}
