<?php

/*
 * This file is part of TBSCertBot.
 * 
 * Copyright (c) 1996-2016 TBS Internet
 * 
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace TBSCertBot\CLI\Commands\TestHooks;

/**
 * Test-runs the renewal hook
 *
 */
class Renewal extends \TBSCertBot\CLI\Commands\TestHooks\Order
{   
    public function __construct($tbsreference = null)
    {
        parent::__construct($tbsreference);
        
        $this->hook = \TBSCertBot\Config::getConfig()->getRenewalHook();
        
        if (empty($this->hook) || !is_file($this->hook)) {
            throw new \Exception("No hook to test provided");
        }
        
        //Overwriting "order" value
        $this->hookName = 'renewal';
    }
    
    public function proceed() {
        parent::proceed();
    }
    
    protected function makeFakeProfile() {
        return parent::makeFakeProfile();
    }
    
    /**
     * 
     * Does nothing for now. We could imagine runing a hook after we are done testing a hook but that seems a bit strange.
     * 
     * @param type $tbsReference
     */    
    protected function runHook($tbsReference = null)
    {

    }
}
