<?php

/*
 * This file is part of TBSCertBot.
 * 
 * Copyright (c) 1996-2016 TBS Internet
 * 
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace TBSCertBot\CLI\Commands;

/**
 * Unarchives a profile
 *
 * @author TBS Internet <webmaster@tbs-internet.com>
 */
class Unarchive extends Command
{
    private $profileName;
    
    public function __construct($profileName) {
        parent::__construct();
        
        if (empty($profileName)) {
            $this->logger->log('You must provide a profile name to unarchive', 'error');
            throw new \Exception("You must provide a profile name to unarchive");
        }

        $this->profileName = $profileName;
    }
    
    public function proceed() {
        \TBSCertBot\Controllers\Profile::unarchive($this->profileName);
    }
    
    protected function runHook($tbsReference = null)
    {
        //Do nothing
    }
}
