<?php

/*
 * This file is part of TBSCertBot.
 * 
 * Copyright (c) 1996-2016 TBS Internet
 * 
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace TBSCertBot\Crypto;

/**
 *
 * Interface of what a CSR representation should be
 * 
 * @author TBS Internet <webmaster@tbs-internet.com>
 */
interface CSRInterface {
    public function getCN();

    public function getO();
    
    public function getOU();
    
    public function getL();
    
    public function getST();
    
    public function getC();
    
    public function getOrganizationIdentifier();

    public function getFileName();
    
    public function getDcvHttpFileName();
    
    public function getASCII();
    
    public function exportToFile();
    
    public function getMD5();
    
    public function getSHA1();
    
    public function getSHA256();
    
    public function getDcvCnameRecord($dcvUniqueValue);

    public function save();
}
