<?php

/*
 * This file is part of TBSCertBot.
 * 
 * Copyright (c) 1996-2016 TBS Internet
 * 
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace TBSCertBot\Crypto;

/**
 * Description of PrivateKey
 *
 * @author TBS Internet <webmaster@tbs-internet.com>
 */
abstract class PrivateKey
{  
    protected $keyResource;
    
    protected $fileName;
    
    public function __construct($fileName)
    {
        $this->fileName = $fileName;
    }
    
    abstract public function generate();
    
    public function exportToFile()
    {   
        $status = openssl_pkey_export_to_file($this->keyResource, $this->fileName);
        
        if (!$status) {
            throw new \Exception('Private key could not be exported to file.');
        }
    }
    
    public function getFileName()
    {
        return $this->fileName;
    }
    
    public function getKeyResource()
    {
        return $this->keyResource;
    }
    
    public function removeKeyResource()
    {
        openssl_pkey_free($this->keyResource);
        unset($this->keyResource);
    }
}
