<?php

/*
 * This file is part of TBSCertBot.
 *
 * Copyright (c) 1996-2016 TBS Internet
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace TBSCertBot;

use \Camspiers\JsonPretty\JsonPretty as Prettifier;

/**
 * Description of JsonDriver
 *
 * @author rmussard
 */
class JsonDriver {
    private static $instance;

    private $prettifier;

    private function __construct()
    {
        $this->prettifier = new Prettifier();
    }

    public static function getJsonDriver()
    {
        if (is_null(self::$instance)) {
            self::$instance = new self();
        }

        return self::$instance;
    }

    public function decode($json, $assoc = false)
    {
        $contents = json_decode($json, $assoc);

        if (empty($contents) && json_last_error() !== JSON_ERROR_NONE) {
            throw new \Exception(json_last_error_msg());
        }

        return $contents;
    }

    public function encode($contents)
    {
        $json = $this->prettifier->prettify($contents);

        if (empty($json) && json_last_error() !== JSON_ERROR_NONE) throw new \Exception(json_last_error_msg ());

        return $json;
    }

}
