<?php

/*
 * This file is part of TBSCertBot.
 *
 * Copyright (c) 1996-2016 TBS Internet
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

error_reporting(E_ERROR | E_WARNING | E_PARSE | E_RECOVERABLE_ERROR );
//error_reporting(E_ALL); //For debugging

require 'vendor/autoload.php';

if (!extension_loaded('openssl'))
{
    echo 'This software needs PHP\'s OpenSSL extension enabled in order to work...' . PHP_EOL;
    exit();
}
if (!extension_loaded('curl'))
{
    echo 'This software need PHP\'s cURL extension enabled in order to work...' . PHP_EOL;
    exit();
}

try {
    $command = TBSCertBot\CLI\Router::createCommand($argv);
} catch (Exception $e) {
    if ($e->getCode() == 0) $code = -999;
    else $code = $e->getCode();

    \cli\err('Error ' . $code . ': ' . $e->getMessage());
}
